import request from '@/utils/request'

// 查询故障代码管理列表
export function listFaultCodes(query) {
  return request({
    url: '/gxt/faultCodes/list',
    method: 'get',
    params: query
  })
}

// 查询故障代码管理详细
export function getFaultCodes(id) {
  return request({
    url: '/gxt/faultCodes/' + id,
    method: 'get'
  })
}

// 新增故障代码管理
export function addFaultCodes(data) {
  return request({
    url: '/gxt/faultCodes',
    method: 'post',
    data: data
  })
}

// 修改故障代码管理
export function updateFaultCodes(data) {
  return request({
    url: '/gxt/faultCodes',
    method: 'put',
    data: data
  })
}

// 删除故障代码管理
export function delFaultCodes(id) {
  return request({
    url: '/gxt/faultCodes/' + id,
    method: 'delete'
  })
}
